C---------------------------- parameters for PMhalosM --------
C      iDebug      = 1 gives long output for debuging
C                  = 0 makes output shorter
C      iHelp       = 1 gives short description of parameters
C                            and creates a file, which stores
C                            all your answers. Use it for
C                            rerunning the code.
C
C
C       Nc - number of centers, Np - number of dm particles
C       Nrad - number of shells for halos
C
      PARAMETER (iDebug  =     0)  ! debugging parameteter
      PARAMETER (iHelp   =     0)  ! help
      PARAMETER (Nm      =    -5)  ! define size of linker mesh
      PARAMETER (Nlinker =    500)  ! 
      PARAMETER (Nb      =    Nlinker-Nm)  ! define size of linker mesh
      PARAMETER (Nc      =    1 000 000)  ! Max number of initial centers
      PARAMETER (Nrad    =    60)  ! Number of shells for halo profile
      PARAMETER (FracSearch = 5. ) ! Factor of Rmax for small halos
c      PARAMETER (Cell    =    1.0)  ! Cell-size for Linker List in grid units
      PARAMETER (Ncc     =  400 000)    
      PARAMETER (Np      = Nmaxpart) ! Max Nparticles
      PARAMETER (Nrad_lim =Nrad)
      COMMON /CATx/ Xp(Np)
      COMMON /CATy/ Yp(Np)
      COMMON /CATz/ Zp(Np)
      COMMON /CAT1/ VXp(Np)
      COMMON /CAT2/ VYp(Np)
      COMMON /CAT3/ VZp(Np)

      COMMON /MXM/ Xm(Nc),Ym(Nc),Zm(Nc),Amc(Nc),Rmc(Nc),Vrm(Nc),
     +             iRadius(Nc),RmaxV(Nc) 
c      COMMON /MXMx/ Xm(Nc)
c      COMMON /MXMy/ Ym(Nc)
c      COMMON /MXMz/ Zm(Nc)
c      COMMON /aMXMx/ Amc(Nc)
c      COMMON /rMXMx/ Rmc(Nc)
c      COMMON /vXMx/ Vrm(Nc)
c      COMMON /iXMx/ iRadius(Nc)
c      COMMON /UXMx/ RmaxV(Nc)

      COMMON /GRD/ Label(Nm:Nb,Nm:Nb,Nm:Nb)
      COMMON /GRDm/ Lst(Np)
      COMMON /MXCa/ Wxc(Ncc,0:Nrad),Wyc(Ncc,0:Nrad),Wzc(Ncc,0:Nrad)
      COMMON /MXCb/ 
     +       Vrmc(Ncc,0:Nrad),Nbc(Ncc,0:Nrad),Rrc(Ncc,0:Nrad),
     +       NbcM(Ncc,0:Nrad),NbcG(Ncc,0:Nrad),NbcS(Ncc,0:Nrad)
     +       ,Vrada(Ncc,0:Nrad)
c     +       Nrad0(Ncc,0:Nrad),Wrad0(Ncc,0:Nrad),Wrad2(Ncc,0:Nrad)
c     +      ,Agx(Ncc,0:Nrad),Agy(Ncc,0:Nrad),Agz(Ncc,0:Nrad)
      COMMON /PNT/ RadSr1,RadSr2,aNvir,Cell,
     +             Rad(Nrad),Rad2(Nrad)


